Subject: [AVTCORE] Fwd: [Technical Errata Reported] RFC5764 (4788)

From: "Ben Campbell" <[email-masked]>
Date: Tue, 20 Sep 2016 16:57:42 -0500

Hi avtcore and security ADs:

Does anyone object to this erratum? It seems pretty straightforward (if 
borderline on the "does this represent the original intent" spectrum.)

Thanks!

Ben.

Forwarded message:

> From: RFC Errata System <[email-masked]>
> To: [email-masked], [email-masked], [email-masked], 
> [email-masked], [email-masked], 
> [email-masked], [email-masked]
> Cc: [email-masked], [email-masked], [email-masked]
> Subject: [Technical Errata Reported] RFC5764 (4788)
> Date: Tue, 30 Aug 2016 06:25:57 -0700 (PDT)
>
> The following errata report has been submitted for RFC5764,
> "Datagram Transport Layer Security (DTLS) Extension to Establish Keys 
> for the Secure Real-time Transport Protocol (SRTP)".
>
> --------------------------------------
> You may review the report below and at:
> http://www.rfc-editor.org/errata_search.php?rfc=5764&eid=4788
>
> --------------------------------------
> Type: Technical
> Reported by: Eric Rescorla <[email-masked]>
>
> Section: 5.3
>
> Original Text
> -------------
> Section 4.2 says:
>    which are assigned as shown below.  The per-association context 
> value
>    is empty.
>
> Corrected Text
> --------------
>    which are assigned as shown below.  No per-association context 
> value
>    is used.
>
> Notes
> -----
> This code is somewhat ambiguous, though the better interpretation is 
> probably that you should use a zero-length context (arm 2 of 
> https://tools.ietf.org/html/rfc5705#section-4). However, real 
> implementations do not seem to use the exporter value, so we need to 
> resolve this in that direction.
>
> Instructions:
> -------------
> This erratum is currently posted as "Reported". If necessary, please
> use "Reply All" to discuss whether it should be verified or
> rejected. When a decision is reached, the verifying party (IESG)
> can log in to change the status and edit the report, if necessary.
>
> --------------------------------------
> RFC5764 (draft-ietf-avt-dtls-srtp-07)
> --------------------------------------
> Title               : Datagram Transport Layer Security (DTLS) 
> Extension to Establish Keys for the Secure Real-time Transport 
> Protocol (SRTP)
> Publication Date    : May 2010
> Author(s)           : D. McGrew, E. Rescorla
> Category            : PROPOSED STANDARD
> Source              : Audio/Video Transport
> Area                : Real-time Applications and Infrastructure
> Stream              : IETF
> Verifying Party     : IESG
>

---

From: Stephen Farrell <[email-masked]>
Date: Tue, 20 Sep 2016 23:00:33 +0100

> borderline on the "does this represent the original intent" spectrum.)

No objection from me if it makes interop better. I've
no idea whether or not that's the case, so happy with
to go with whatever the WG list conclude.

S

>>    which are assigned as shown below.  The per-association context value
>>    is empty.
>>
>> Corrected Text
>> --------------
>>    which are assigned as shown below.  No per-association context value
>>    is used.
>>
>> Notes
>> -----